stralloc_cat(3)

NAME
stralloc_cat - append data to a stralloc

SYNTAX
#include <stralloc.h> int stralloc_cat(stralloc* sato,stralloc* safrom);

DESCRIPTION
stralloc_cat appends the string stored in safrom to sa. It is the same as stralloc_catb(&sato, safrom.s, safrom.len). safrom must already be allocated. The data that sa previously contained is overwritten and truncated.

SEE ALSO
stralloc_catb(3)